OpenShot Audio Library | OpenShotAudio: juce::ListenerList< ListenerClass, ArrayType >::Iterator< BailOutCheckerType, ListType > Struct Template Reference

OpenShot Audio Library | OpenShotAudio 0.3.2

Loading...
Searching...
No Matches
Public Member Functions | List of all members
juce::ListenerList< ListenerClass, ArrayType >::Iterator< BailOutCheckerType, ListType > Struct Template Reference

`#include <juce_ListenerList.h>`

## Public Member Functions
| Iterator (const ListType &listToIterate) noexcept
bool | next () noexcept
bool | next (const BailOutCheckerType &bailOutChecker) noexcept
ListType::ListenerType * | getListener () const noexcept

## Detailed Description

template<class ListenerClass, class ArrayType = Array<ListenerClass*>>
template<class BailOutCheckerType, class ListType>
struct juce::ListenerList< ListenerClass, ArrayType >::Iterator< BailOutCheckerType, ListType >

Iterates the listeners in a ListenerList.

Definition at line 191 of file juce_ListenerList.h.

## Constructor & Destructor Documentation

## ◆ Iterator()

template<class ListenerClass , class ArrayType = Array<ListenerClass*>>
template<class BailOutCheckerType , class ListType >

juce::ListenerList< ListenerClass, ArrayType >::Iterator< BailOutCheckerType, ListType >::Iterator | ( | const ListType & | listToIterate | ) |
| inlinenoexcept

Definition at line 193 of file juce_ListenerList.h.

## Member Function Documentation

## ◆ getListener()

template<class ListenerClass , class ArrayType = Array<ListenerClass*>>
template<class BailOutCheckerType , class ListType >

ListType::ListenerType * juce::ListenerList< ListenerClass, ArrayType >::Iterator< BailOutCheckerType, ListType >::getListener | ( |  | ) | const
| inlinenoexcept

Definition at line 219 of file juce_ListenerList.h.

## ◆ next() [1/2]

template<class ListenerClass , class ArrayType = Array<ListenerClass*>>
template<class BailOutCheckerType , class ListType >

bool juce::ListenerList< ListenerClass, ArrayType >::Iterator< BailOutCheckerType, ListType >::next | ( |  | ) |
| inlinenoexcept

Definition at line 200 of file juce_ListenerList.h.

## ◆ next() [2/2]

template<class ListenerClass , class ArrayType = Array<ListenerClass*>>
template<class BailOutCheckerType , class ListType >

bool juce::ListenerList< ListenerClass, ArrayType >::Iterator< BailOutCheckerType, ListType >::next | ( | const BailOutCheckerType & | bailOutChecker | ) |
| inlinenoexcept

Definition at line 214 of file juce_ListenerList.h.

The documentation for this struct was generated from the following file:

- juce_ListenerList.h